Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 639968 - dev-perl/Crypt-OpenSSL-ECDSA-0.80.0 : [TEST] # Failed test Constants
Summary: dev-perl/Crypt-OpenSSL-ECDSA-0.80.0 : [TEST] # Failed test Constants
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: perl-testfailure 639970
  Show dependency tree
 
Reported: 2017-12-05 17:34 UTC by Toralf Förster
Modified: 2019-11-07 22:29 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.42 KB, text/plain)
2017-12-05 17:34 UTC, Toralf Förster
Details
dev-perl:Crypt-OpenSSL-ECDSA-0.80.0:20171205-171737.log (dev-perl:Crypt-OpenSSL-ECDSA-0.80.0:20171205-171737.log,5.85 KB, text/plain)
2017-12-05 17:34 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,180.33 KB, text/plain)
2017-12-05 17:34 UTC, Toralf Förster
Details
environment (environment,36.93 KB, text/plain)
2017-12-05 17:34 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.20 KB, application/x-bzip)
2017-12-05 17:34 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,13.02 KB, application/x-bzip)
2017-12-05 17:34 UTC, Toralf Förster
Details
tests.tbz2 (tests.tbz2,1.50 KB, application/x-bzip)
2017-12-05 17:34 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-12-05 17:34:20 UTC
t/Crypt-OpenSSL-ECDSA.t .. 
t/Crypt-OpenSSL-ECDSA.t .. 1/21 
#   Failed test 'Constants'
#   at t/Crypt-OpenSSL-ECDSA.t line 31.
Can't locate object method "new" via package "Crypt::OpenSSL::ECDSA::ECDSA_SIG" (perhaps you forgot to load "Crypt::OpenSSL::ECDSA::ECDSA_SIG"?) at t/Crypt-OpenSSL-ECDSA.t line 37.
# Looks like your test exited with 255 just after 3.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-plasma-systemd_libressl-test_20171129-194156

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python3.5 (fallback)
  [4]   python2.7 (fallback)
  [5]   pypy (fallback)

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.6.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv dev-perl/Crypt-OpenSSL-ECDSA
[ebuild  N    ] dev-perl/Crypt-OpenSSL-ECDSA-0.80.0  USE="libressl"
Comment 1 Toralf Förster gentoo-dev 2017-12-05 17:34:23 UTC
Created attachment 508384 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-12-05 17:34:26 UTC
Created attachment 508386 [details]
dev-perl:Crypt-OpenSSL-ECDSA-0.80.0:20171205-171737.log
Comment 3 Toralf Förster gentoo-dev 2017-12-05 17:34:30 UTC
Created attachment 508388 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-12-05 17:34:33 UTC
Created attachment 508390 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-12-05 17:34:36 UTC
Created attachment 508392 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-12-05 17:34:39 UTC
Created attachment 508394 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2017-12-05 17:34:42 UTC
Created attachment 508396 [details]
tests.tbz2
Comment 8 Andreas K. Hüttel gentoo-dev 2019-10-25 15:59:33 UTC
I've added -r2 with an updated patch from PPISAR. Here tests pass fine. Please try.
Comment 9 Toralf Förster gentoo-dev 2019-10-25 20:12:55 UTC
(In reply to Andreas K. Hüttel from comment #8)
> I've added -r2 with an updated patch from PPISAR. Here tests pass fine.
> Please try.

passes test fine here too
Comment 10 Larry the Git Cow gentoo-dev 2019-11-07 22:29:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2131c03d0113af2bc2e404c0ba69100ce859a6a

commit b2131c03d0113af2bc2e404c0ba69100ce859a6a
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2019-11-07 22:28:41 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2019-11-07 22:28:41 +0000

    dev-perl/Crypt-OpenSSL-ECDSA: Remove old
    
    Closes: https://bugs.gentoo.org/639968
    Package-Manager: Portage-2.3.78, Repoman-2.3.17
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 .../Crypt-OpenSSL-ECDSA-0.80.0-r1.ebuild           |  26 ---
 ...L-ECDSA-0.80.0-0001-Port-to-OpenSSL-1.1.0.patch | 193 ---------------------
 2 files changed, 219 deletions(-)